%define name	opengroupware-libfoundation
%define version	1.0.45	
%define cvs	20040523
%define release	%{cvs}.1mdk

%ifarch %ix86 amd64 x86_64
  %define dirarch ix86
%endif
%ifarch %ppc
  %define dirarch ppc
%endif
%ifarch sparc
  %define dirarch sparc
%endif
%ifarch alpha
  %define dirarch alpha
%endif

Summary:     LibFoundation Objective-C library
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     BSD
URL:	     http://www.opengroupware.org
Group:       System/Libraries
Prefix:      %{_libdir}/opengroupware.org/system
BuildRoot:   %{_tmppath}/%{name}-buildroot
Prereq:      opengroupware-gstep-objc
Source:      opengroupware.org-libfoundation-%{cvs}.tar.bz2
Patch0:	     opengroupware.org-libfoundation-%{cvs}.patch.bz2
BuildRequires:    opengroupware-gstep-make opengroupware-gstep-make-devel opengroupware-gstep-objc opengroupware-gstep-objc-devel
Prereq:  opengroupware-gstep-make 
BuildRequires: gcc-objc

%description
This package contains the libFoundation library, an Objective-C library
which aims to implement the Foundation part of the OpenStep specification.

%package devel
Summary: The header files for the libFoundation library.
Group:   Development/Other
Requires: %name

%description devel
The devel package contains the header files for the libFoundation library.

%prep

%setup -q -n opengroupware.org-libfoundation
%patch -p1

%build
source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=${RPM_BUILD_ROOT}%{prefix}
%configure --with-gnustep
make -s debug=yes all

%install
rm -rf $RPM_BUILD_ROOT

source %{prefix}/Makefiles/GNUstep.sh
export GNUSTEP_USER_ROOT=${RPM_BUILD_ROOT}%{prefix}

make -s debug=yes INSTALL_ROOT_DIR="${RPM_BUILD_ROOT}" GNUSTEP_INSTALLATION_DIR="${RPM_BUILD_ROOT}%{prefix}" install


%post
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
   RPM_INSTALL_PREFIX="%{prefix}"
fi
/sbin/ldconfig -n $RPM_INSTALL_PREFIX/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README README.first ANNOUNCE AUTHORS ChangeLog COPYING NEWS INSTALL.txt Version
%{prefix}/Libraries/Resources/libFoundation
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/Defaults
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libFoundation*.so.1.0*

%files devel
%defattr(-,root,root,-)
%doc README.gc
%{prefix}/Headers/libFoundation
%{prefix}/Makefiles/Additional/libFoundation.make
%{prefix}/Libraries/%{dirarch}/linux-gnu/gnu-fd-nil/libFoundation*.so

%changelog
* Sun May 23 2004 Spencer Anderson <sdander@oberon.ark.com> 1.0.45-20040523.1mdk
- 20040523
- make arch aware
- P0 installroot

* Wed Feb 4 2004 Spencer Anderson <sdander@oberon.ark.com> 1.0.36-20040204.1mdk
- 20040204

* Wed Dec 10 2003 Spencer Anderson <sdander@oberon.ark.com> 1.0.30-20031201.3mdk
- rebuild against proper gstep-make

* Sat Dec 6 2003 Spencer Anderson <sdander@oberon.ark.com> 1.0.30-20031201.2mdk
- correct changelog

* Thu Dec 4 2003 Spencer Anderson <sdander@oberon.ark.com> 1.0.22-20031201.1mdk
- new snapshot - many bugfixes

* Thu Nov 6 2003 Spencer Anderson <sdander@oberon.ark.com> 1.0.20-20031001.2mdk
- make sure we have an install environment

* Sun Oct 19 2003 Spencer Anderson <sdander@oberon.ark.com> 1.0.12-20031001.1mdk
- new spapshot
- specfile cleanup

* Mon Sep 1 2003 Austin Acton <aacton@yorku.ca> 1.0.12-20030721.1mdk
- library-devel requires library
- from Spencer Anderson <sdander@oberon.ark.com> :
  - first Mandrake release
  - based on Redhat specfile 

